curl --request POST \
--url https://api.poyo.ai/api/generate/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "seedream-4.5",
"callback_url": "https://your-domain.com/callback",
"input": {
"prompt": "A serene Japanese garden with cherry blossoms and a koi pond",
"size": "16:9",
"n": 1
}
}
'{
"code": 200,
"data": {
"task_id": "task-unified-1757165031-uyujaw3d",
"status": "not_started",
"created_time": "2025-11-12T10:30:00"
}
}{
"code": 400,
"error": {
"message": "Invalid request parameters",
"type": "invalid_request_error"
}
}{
"code": 401,
"error": {
"message": "Unauthorized - Invalid API key",
"type": "authentication_error"
}
}Seedream
Seedream-4.5 Image Generation
Advanced image generation model with support for text-to-image, image-to-image, and multi-image reference capabilities
POST
/
api
/
generate
/
submit
curl --request POST \
--url https://api.poyo.ai/api/generate/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "seedream-4.5",
"callback_url": "https://your-domain.com/callback",
"input": {
"prompt": "A serene Japanese garden with cherry blossoms and a koi pond",
"size": "16:9",
"n": 1
}
}
'{
"code": 200,
"data": {
"task_id": "task-unified-1757165031-uyujaw3d",
"status": "not_started",
"created_time": "2025-11-12T10:30:00"
}
}{
"code": 400,
"error": {
"message": "Invalid request parameters",
"type": "invalid_request_error"
}
}{
"code": 401,
"error": {
"message": "Unauthorized - Invalid API key",
"type": "authentication_error"
}
}- After submission, a
task_idwill be returned. If you provided acallback_url, when the task status becomesfinishedorfailed, a POST request will be sent to thecallback_url. - Regardless of whether
callback_urlis provided, you can retrieve the response result through the unified Query Task Status endpoint.
Seedream-4.5 Image Generation
Seedream-4.5 is an advanced image generation model that supports text-to-image, image-to-image, and image editing with multi-reference capabilities. It delivers high-quality images with flexible aspect ratios and prompt optimization options.Available Models
- seedream-4.5 - High-quality text-to-image and image-to-image generation
- seedream-4.5-edit - Advanced image editing with multi-image reference support (up to 10 images)
Size Parameter
input.size supports these forms:
- Resolution preset:
2K,4K - Ratio preset:
1:1,4:3,3:4,16:9,9:16,3:2,2:3,21:9 - Custom string:
WIDTHxHEIGHT, for example1920x4096 - Custom object:
{ "width": 2304, "height": 3072 }
size is supported in both text-to-image and seedream-4.5-edit.
In edit mode:
- Preset resolutions such as
2Kand4Kare handled automatically by the upstream model - Custom size such as
1920x4096or{ "width": 2304, "height": 3072 }uses the explicit width and height you provide
How to Call
Use the unified submit endpoint:POST /api/generate/submit
Preset size example:
curl --request POST \
--url https://api.poyo.ai/api/generate/submit \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedream-4.5",
"callback_url": "https://your-domain.com/callback",
"input": {
"prompt": "A serene Japanese garden with cherry blossoms and a koi pond",
"size": "16:9",
"n": 1
}
}'
curl --request POST \
--url https://api.poyo.ai/api/generate/submit \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedream-4.5",
"callback_url": "https://your-domain.com/callback",
"input": {
"prompt": "Seedream 4.5 API now Available on Poyo.ai",
"size": "1920x4096",
"n": 1
}
}'
curl --request POST \
--url https://api.poyo.ai/api/generate/submit \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedream-4.5-edit",
"callback_url": "https://your-domain.com/callback",
"input": {
"prompt": "Transform the scene to a winter wonderland with snow",
"image_urls": ["https://example.com/reference1.jpg"],
"size": "1920x4096",
"n": 1
}
}'
{
"model": "seedream-4.5",
"input": {
"prompt": "A fashion editorial portrait in a studio",
"size": {
"width": 2304,
"height": 3072
},
"n": 1
}
}
Authorizations
All API endpoints require Bearer Token authentication
Get your API Key:
Visit the API Key Management Page to get your API Key
Add it to the request header:
Authorization: Bearer YOUR_API_KEY
Body
application/json
